<?php
	# PAGE
	define('PAGE_TEMPLATE','base');
	define('PAGE_TEMPLATE_PATH','./page_templates/');
	define('PAGE', PAGE_TEMPLATE_PATH.PAGE_TEMPLATE.'/');
	define('PAGE_NAME','');
	define('PAGE_URL', 'http://'.$_SERVER['HTTP_HOST']); # SIN EL / AL FINAL
	define('PAGE_CHARSET','UTF-8');
	define('PAGE_KEYWORDS','');
	define('PAGE_DESCRIPTION','');
	define('PAGE_ICON',"");
	
	# DB
	define('DB_HOST', 'localhost');
	define('DB_NAME', 'joju');				# Como se llama o llamará la DB.
	define('DB_USER', 'spartan');
	define('DB_PASSWORD', '@tiraone');
	define('DB_TYPE', 'InnoDB');			# Podría ser también MyISAM | Depende de la config del server, por defecto se suele usar MyISAM pero InnoDB es más eficiente.
	
	# ROUTES
	define('CORE', './page_core/');			# PAGE CORE PATH
	define('CONTENT', './page_content/');	# PAGE CONTENT PATH
	define('CLS', CORE.'cls/');				# PAGE CORE CLASS PATH
	define('XAJAX_PATH', 'xajax/');			# XAJAX PATH
	define('XAJAX_DEBUG', false ); 			# XAJAX DEBUG
	define('EZSQL_PATH', 'ezsql/');			# EZSQL PATH
	define('PHPMAILER_PATH', 'phpmailer/'); # PHPMAILER PATH
	define('FACEBOOKAPI_PATH', 'facebook/');
	
	# VARS
	define('DEBUG', true);					# Allow to debug
	define('ALLOW_HTML', true);				# Permitir insertar HTML? | bb2html
	
	# ADMIN
	define('ADMIN_SEC', 23);				# Se puede utilizar cualquier número. (es por seguridad)
	define('ADMIN_PATH', '?s='.ADMIN_SEC);
	define('USER_NAME', 'd033e22ae348aeb5660fc2140aec35850c4da997'); # SHA1
	define('USER_PASS', 'd033e22ae348aeb5660fc2140aec35850c4da997'); # SHA1
	define('USER_CODE', mhash(MHASH_SHA256, USER_NAME).mhash(MHASH_SHA256, USER_PASS) );
	
	define('IMG', PAGE.'img/');				# IMAGES PAGE PATH
	define('SWF', PAGE.'swf/'); 			# SWF PAGE PATH
	
	define('FB_APIKEY'		, '3ed53252b123925599dcf3514b5614dc');
	define('FB_APPSECRET'	, '92921270a95569caf288820366cda641');
?>